/***************************************************************************
                          SDLSpriteList.h  -  1.1
                             -------------------
    begin                : Tue Aug 15 2000
    copyright            : (C) 2000 by regis Quercioli
    email                : edorul@caramail.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
//////////////////////////////////////////////////////////////////////////////////
// based on : 	$Source: /usr/cvsroot/cdx/src/cdx/cdxsprite.h,v $
// 				$Author: MICHAELR $
// 				$Revision: 2.7 $
//
// Ported to SDL and modified by Regis Quercioli / edorul@caramail.com
//
// 1.1 : Add DelayStart as parametre in AddSprite function
//
//////////////////////////////////////////////////////////////////////////////////
#ifndef SDLSPRITELIST_H
#define SDLSPRITELIST_H

#include "SDLSprite.h"
#include <math.h>
#include <SDL/SDL.h>


class SDLSpriteList
{
public:
	SDLSpriteList(void);
	~SDLSpriteList(void);

	SDLSprite *AddSprite(SDLSprite* pTile, int Type=0, int PosX=0, int PosY=0,
		int VelX=0, int VelY=0, int State=0, int Frame=0, int Delay=0, Uint32 DelayStart=0);
	SDLSprite* AddSprite(SDLSprite* pNode);
	void DelSprite(SDLSprite* pNode);

	void Draw(SDL_Surface* lpSDLS, long int ScrnWorldX, long int ScrnWorldY);

public:
	int m_nSprites;				// The number of sprites in the list
  	SDLSprite* head;  // Ptr to head of list
  	SDLSprite* tail;  // Ptr to tail of list
};

#endif
