#include "ufo.h"

extern SDL_Surface *screen;

extern SDLStarShip *starsheep;
extern BonusList BonusL;
extern ProjectileS ProjectS;
extern ProjectileEnemi projectE;
extern ExplosionL ExploL;
extern SDLSprite *bonus;
extern SDLSprite *enemi;
extern SDLSprite *explosion;
extern SDLSprite *projectileenemi;

extern int powerfire;
extern int liveenemi;
extern int lescore;

obj_enemi::~obj_enemi() {
		}
obj_enemi::obj_enemi( SDLUfo *enemi, SDLSpriteList *enemilist,direc_enemi *dir_e) {
	_enemi=enemi;
	_enemilist=enemilist;
	_de=dir_e;
	//printf("%d %d \n",_de->xstart,_de->ystart);
	y_enemi=10;
	direction_enemi=1;
	nb_enemi=0;
	nb_enemitotal=0;
	}
void obj_enemi::HideListSprite() {
	SDL_Rect dstrect;
	SDLSprite *Node;
		for(Node = _enemilist->head; Node != NULL; Node = Node->m_Next)
		{
			dstrect.x = (int)Node->m_PosX;
			dstrect.y = (int)Node->m_PosY;
			dstrect.w = Node->m_BlockWidth;
			dstrect.h = Node->m_BlockHeight;
	
			SDL_FillRect(screen, &dstrect, 0);
		}
	}


void obj_enemi::Update() {
	SDLSprite *Node, *Tmp,*Tmp2;
	SDLSprite *Node2;
	SDL_Rect dstrect;

	HideListSprite();

	for(Node = _enemilist->head; Node != NULL; Node = Node->m_Next)
		{
		_de->SetXEnemi(Node);
		_de->SetYEnemi(Node);
		_de->SetFrameEnemi(Node);
		Node->m_Type++;

		if(Node->m_Type>=_de->GetNbElm())
		{
			Tmp = Node->m_Next;
			_enemilist->DelSprite(Node);
			if (Tmp==NULL) break;
			Node = Tmp;
			if (Node==NULL) break;
			continue;
		}
		for(Node2 = ProjectS.head; Node2 != NULL; Node2 = Node2->m_Next) {
			if (Node2->SpriteHit(Node) == TRUE)  {
				if (Node==NULL) continue;
					// On efface le projectile
					dstrect.x = (int)Node->m_PosX;
					dstrect.y = (int)Node->m_PosY;
					dstrect.w = Node->m_BlockWidth;
					dstrect.h = Node->m_BlockHeight;

				// m_State converve le niveau de vie des appareils enemis
				// ici il est possitionne a deux mias devrais etre variable voir AddSprite

				Node->m_State-=Node2->m_State;
				if (Node->m_State<1) {
					Tmp2 = Node->m_Next;
					_enemilist->DelSprite(Node);
					if (_enemilist->m_nSprites==0) {
						BonusL.AddSprite(bonus,0, dstrect.x,dstrect.y-34,  0, 50, 1, 0, 1000,(int) SDL_GetTicks());
						}
					SDL_FillRect(screen, &dstrect, 0);
					if (Tmp2==NULL) break;
					Node = Tmp2;
					}

					// L'ajout de l'explosion n'est peut etre pas forcement la bonne idee 
					// Il faudrait plutot faire des sprite lorsque qu'ils sont touches 

					ExploL.AddSprite(explosion,0, dstrect.x, dstrect.y-34,  0, 0, 0, 0, 1000,(int) SDL_GetTicks());
					lescore++;
					ProjectS.DelSprite(Node2);
					break;
			    	}
			}

		if (Node->SpriteHit(starsheep) == TRUE)  {
					dstrect.x = (int)Node->m_PosX;
					dstrect.y = (int)Node->m_PosY;
					dstrect.w = Node->m_BlockWidth;
					dstrect.h = Node->m_BlockHeight;

					Tmp = Node->m_Next;
					_enemilist->DelSprite(Node);
					if (_enemilist->m_nSprites==0) {
						BonusL.AddSprite(bonus,0, dstrect.x, dstrect.y-34,  0, 50, 1, 0, 1000,(int) SDL_GetTicks());
						}
					SDL_FillRect(screen, &dstrect, 0);
					starsheep->life+=100;
					ExploL.AddSprite(explosion,0, dstrect.x, dstrect.y-34,  0, 0, 0, 0, 1000,(int) SDL_GetTicks());
					if (Tmp==NULL) break;
					Node = Tmp;

					break;
			}
		
		//
		// Enemi fire
		//
		if (rand()%200==1) {
				// 10 sont les points a retirer si le vaisseau est touche
				projectE.AddSprite(projectileenemi,0, Node->m_PosX, Node->m_PosY,starsheep->m_PosX-Node->m_PosX, starsheep->m_PosY-Node->m_PosY, powerfire, 0, 1000, SDL_GetTicks());
			}
	}

	//
	// New enemi appears
	//
	// nb_enemitotal means the number of enemi by wave 

	if (nb_enemi == 20 && nb_enemitotal<10) {
		_enemilist->AddSprite((SDLSprite *)_enemi, 0, _de->xstart,_de->ystart,  _de->xvelstart, _de->yvelstart, liveenemi, 0, 300, SDL_GetTicks());
		y_enemi+=30*direction_enemi;
		if (y_enemi > (Screen_w-32-enemi->m_ShadowOffsetX)) direction_enemi*=-1; 
		if (y_enemi < 0) direction_enemi*=-1; 
		nb_enemi=0;
		 nb_enemitotal++;
		}
	nb_enemi++;
	_enemilist->Draw(screen, 0, 0);

	}
int obj_enemi::IsFinish() {
	if (nb_enemitotal>=10 && _enemilist->m_nSprites==0 ) return (1);
			else return(0);
	}

